Bug 610839 - problems with include directory location of gdk-pixbuf
problems with include directory location of gdk-pixbuf
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
14
All Linux
high Severity high
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: MeeGo1 610842
  Show dependency treegraph
 
Reported: 2010-07-02 10:47 EDT by Peter Robinson
Modified: 2010-11-11 08:45 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-04 19:12:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2010-07-02 10:47:43 EDT
The include directory for files that use the gdk-pixbuf devel files uses the following:

eg:
gdk-pixbuf/gdk-pixbuf-core.h

But with the move to the gdk-pixbuf2 packaging the directory has changed and all the references in the devel package itself as well as gtk2-devel are wrong and will likely need to be changed to 

gdk-pixbuf-2.0/gdk-pixbuf/gdk-pixbuf-core.h
Comment 1 Peter Robinson 2010-07-17 04:48:42 EDT
Seeing the same issues with gtk2

g++ -DHAVE_CONFIG_H -I. -I..  -DHAVE_CONFIG_H -I./gdbus -I./gdbus -I.//home/peter/rpmbuild/BUILD/syncevolution-1.0.1/src/build-synthesis -I./syncevo -I./backends/addressbook -I./backends/evolution -I./backends/file -I./backends/maemo -I./backends/sqlite -I./backends/xmlrpc -I./dbus -I./gtk-ui -I./../test -I.. -I/home/peter/rpmbuild/BUILD/syncevolution-1.0.1/src/build-synthesis/src     -I/usr/include  -DORBIT2=1 -pthread -I/usr/include/evolution-data-server-3.0 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/gconf/2 -I/usr/include/libsoup-2.4 -I/usr/include/orbit-2.0 -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include   -DORBIT2=1 -pthread -I/usr/include/evolution-data-server-3.0 -I/usr/include/dbus-1.0 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/gconf/2 -I/usr/include/libsoup-2.4 -I/usr/include/orbit-2.0 -I/usr/lib64/dbus-1.0/include   -DORBIT2=1 -pthread -I/usr/include/evolution-data-server-3.0 -I/usr/include/dbus-1.0 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/gconf/2 -I/usr/include/libsoup-2.4 -I/usr/include/orbit-2.0 -I/usr/lib64/dbus-1.0/include       -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -DSYNCEVOLUTION_LOCALEDIR=\"/usr/share/locale\"   -I/home/peter/rpmbuild/BUILD/syncevolution-1.0.1/src/build-synthesis/src -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include   -pthread -I/usr/include/libsoup-gnome-2.4 -I/usr/include/libsoup-2.4 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -I/usr/include/gnome-keyring-1 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include   -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -c -o syncevo_dbus_server-test.o `test -f '../test/test.cpp' || echo './'`../test/test.cpp
In file included from /usr/include/libnotify/notify.h:28:0,
                 from syncevo-dbus-server.cpp:65:
/usr/include/libnotify/notification.h:28:21: fatal error: gtk/gtk.h: No such file or directory
compilation terminated.
cp ../test/syncevo-http-server.py syncevo-http-server
cp ../test/syncevo-phone-config.py syncevo-phone-config
/bin/sh ../libtool --tag=CXX   --mode=link g++  -I/home/peter/rpmbuild/BUILD/syncevolution-1.0.1/src/build-synthesis/src -I/usr/include/gnome-keyring-1 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -I./gdbus -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include   -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -uSyncEvolution_Module_Version -Wl,--export-dynamic -L/lib64 -ldbus-1 -lpthread -lrt    -o syncevolution syncevolution-syncevolution.o syncevolution-CmdlineSyncClient.o  syncevolution-test.o  syncevo/libsyncevolution.la -lglib-2.0   -pthread -lgthread-2.0 -lrt -lglib-2.0   -pthread -lgobject-2.0 -lgthread-2.0 -lrt -lglib-2.0    -lgnome-keyring -lglib-2.0   gdbus/libgdbus.la
Comment 2 Peter Robinson 2010-07-17 05:01:22 EDT
In file included from /usr/include/libnotify/notify.h:28:0,
                 from syncevo-dbus-server.cpp:65:
/usr/include/libnotify/notification.h:28:21: fatal error: gtk/gtk.h: No such
file or directory
compilation terminated.

In the example above if I change notification.h from gtk/gtk.h to gtk-2.0/gtk/gtk.h it works.

But in the first example the changes needed for gdk-pixbuf are massive.

It also seems to affect includes within gtk2 as well like:

In file included from /usr/include/libnotify/notification.h:28:0,
                 from /usr/include/libnotify/notify.h:28,
                 from syncevo-dbus-server.cpp:65:
/usr/include/gtk-2.0/gtk/gtk.h:32:21: fatal error: gdk/gdk.h: No such file or directory
compilation terminated.
Comment 3 Bastien Nocera 2010-07-17 15:54:46 EDT
There's 2 problems there:
- one is that you need to require gdk-pixbuf-2.0 explicitely in the pkg-config requirements, as it's been split up from GTK+
- you need to explicitely require a version of GTK+ when using libnotify, as it does not link against libgtk explicitely any more.
Comment 4 leigh scott 2010-07-19 17:25:28 EDT
(In reply to comment #3)

> - you need to explicitely require a version of GTK+ when using libnotify, as it
> does not link against libgtk explicitely any more.    

Could you tell me how to do this as I can't build qbittorrent.

http://koji.fedoraproject.org/koji/getfile?taskID=2329497&name=build.log&offset=-4000
Comment 5 Bug Zapper 2010-07-30 08:23:53 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 cyrille 2010-11-11 08:45:05 EST
Trying to compil icecat  on F14, 
I have the same problems as those mentioned above. Don't know too how to use pkg-config...
Is this bug always open ?

Note You need to log in before you can comment on or make changes to this bug.